> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List all documents in an agent's knowledge base (Local System).

Returns metadata for all uploaded documents including:
- Document ID
- Filename
- Content type
- Upload timestamp
- File size



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/{agent_id}/documents
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/{agent_id}/documents:
    get:
      tags:
        - agent-knowledge
      summary: List Documents
      description: |-
        List all documents in an agent's knowledge base (Local System).

        Returns metadata for all uploaded documents including:
        - Document ID
        - Filename
        - Content type
        - Upload timestamp
        - File size
      operationId: list_documents_agents__agent_id__documents_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentListResponse:
      properties:
        agent_id:
          type: string
          title: Agent Id
        documents:
          items:
            $ref: '#/components/schemas/DocumentMetadata'
          type: array
          title: Documents
        total:
          type: integer
          title: Total
      type: object
      required:
        - agent_id
        - documents
        - total
      title: DocumentListResponse
      description: Response for document list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentMetadata:
      properties:
        document_id:
          type: string
          title: Document Id
        filename:
          type: string
          title: Filename
        content_type:
          type: string
          title: Content Type
        checksum:
          type: string
          title: Checksum
        created_at:
          type: string
          title: Created At
        size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size
      type: object
      required:
        - document_id
        - filename
        - content_type
        - checksum
        - created_at
      title: DocumentMetadata
      description: Metadata for a document in knowledge base.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````